package com.bonus.canteen.core.supply.dto;

import com.bonus.canteen.core.supply.constant.DrpInterfaceType;
import com.bonus.canteen.core.supply.constant.MgrUserAuthPO;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

public class DrpOrderGoodsPageDTO {
   @ApiModelProperty("期望送货开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("期望送货结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("采购订单状态")
   private Integer orderStatus;
   @ApiModelProperty("制表人")
   private String crby;
   @ApiModelProperty("制表开始时间")
   private LocalDateTime crStartTime;
   @ApiModelProperty("制表结束时间")
   private LocalDateTime crEndTime;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("入库状态(1待入库,2全部入库,3部分入库)")
   private Integer intoStatus;
   @ApiModelProperty("供应商待确认状态(1待确认,2确认通过,3已拒绝)")
   private Integer supplierConfirmStatus;
   @ApiModelProperty("采购审批状态(1待审核,2审批中,3审批通过,4审批不通过)")
   private Integer approveStatus;
   @ApiModelProperty("供应商启用状态")
   private Integer supplierStatus;
   @ApiModelProperty("是否已经拆单(导入入库单时候传2)")
   private Integer ifDismantle;
   @ApiModelProperty("是否已经全部入库(传2)")
   private Integer ifAllInto;
   @ApiModelProperty("类型(1 暂存 2 待处理 3 已处理 4 我发起的 5 已完成)")
   private Integer type;
   private DrpInterfaceType interfaceType;
   private List<Long> instanceIds;
   @ApiModelProperty("审批状态集合")
   private List<Integer> approveStatusList;
   private List<Long> warehouseAuthority;
   @ApiModelProperty("食堂id集合")
   private List<Long> canteenIdList;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("采购订单id集合")
   private List<String> orderGoodsIdList;
   @ApiModelProperty("确认开始时间")
   private LocalDateTime confirmTimeStart;
   @ApiModelProperty("确认结束时间")
   private LocalDateTime confirmTimeEnd;
   @ApiModelProperty("档口id集合")
   private List<Long> stallIdList;
   @ApiModelProperty("区域id集合")
   private List<Long> areaIdList;
   @ApiModelProperty("用户权限")
   MgrUserAuthPO authPO;
   private List<Long> areaAuth;
   @ApiModelProperty("模糊查询:订单号或者标题")
   private String keyword;
   @ApiModelProperty("订单总金额最小值")
   private Long amountMin;
   @ApiModelProperty("订单总金额最大值")
   private Long amountMax;

   public DrpOrderGoodsPageDTO() {
      this.interfaceType = DrpInterfaceType.WEB;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getOrderStatus() {
      return this.orderStatus;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrStartTime() {
      return this.crStartTime;
   }

   public LocalDateTime getCrEndTime() {
      return this.crEndTime;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public Integer getIntoStatus() {
      return this.intoStatus;
   }

   public Integer getSupplierConfirmStatus() {
      return this.supplierConfirmStatus;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public Integer getSupplierStatus() {
      return this.supplierStatus;
   }

   public Integer getIfDismantle() {
      return this.ifDismantle;
   }

   public Integer getIfAllInto() {
      return this.ifAllInto;
   }

   public Integer getType() {
      return this.type;
   }

   public DrpInterfaceType getInterfaceType() {
      return this.interfaceType;
   }

   public List<Long> getInstanceIds() {
      return this.instanceIds;
   }

   public List<Integer> getApproveStatusList() {
      return this.approveStatusList;
   }

   public List<Long> getWarehouseAuthority() {
      return this.warehouseAuthority;
   }

   public List<Long> getCanteenIdList() {
      return this.canteenIdList;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public List<String> getOrderGoodsIdList() {
      return this.orderGoodsIdList;
   }

   public LocalDateTime getConfirmTimeStart() {
      return this.confirmTimeStart;
   }

   public LocalDateTime getConfirmTimeEnd() {
      return this.confirmTimeEnd;
   }

   public List<Long> getStallIdList() {
      return this.stallIdList;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public MgrUserAuthPO getAuthPO() {
      return this.authPO;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public Long getAmountMin() {
      return this.amountMin;
   }

   public Long getAmountMax() {
      return this.amountMax;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setOrderStatus(final Integer orderStatus) {
      this.orderStatus = orderStatus;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrStartTime(final LocalDateTime crStartTime) {
      this.crStartTime = crStartTime;
   }

   public void setCrEndTime(final LocalDateTime crEndTime) {
      this.crEndTime = crEndTime;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setIntoStatus(final Integer intoStatus) {
      this.intoStatus = intoStatus;
   }

   public void setSupplierConfirmStatus(final Integer supplierConfirmStatus) {
      this.supplierConfirmStatus = supplierConfirmStatus;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }

   public void setSupplierStatus(final Integer supplierStatus) {
      this.supplierStatus = supplierStatus;
   }

   public void setIfDismantle(final Integer ifDismantle) {
      this.ifDismantle = ifDismantle;
   }

   public void setIfAllInto(final Integer ifAllInto) {
      this.ifAllInto = ifAllInto;
   }

   public void setType(final Integer type) {
      this.type = type;
   }

   public void setInterfaceType(final DrpInterfaceType interfaceType) {
      this.interfaceType = interfaceType;
   }

   public void setInstanceIds(final List<Long> instanceIds) {
      this.instanceIds = instanceIds;
   }

   public void setApproveStatusList(final List<Integer> approveStatusList) {
      this.approveStatusList = approveStatusList;
   }

   public void setWarehouseAuthority(final List<Long> warehouseAuthority) {
      this.warehouseAuthority = warehouseAuthority;
   }

   public void setCanteenIdList(final List<Long> canteenIdList) {
      this.canteenIdList = canteenIdList;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setOrderGoodsIdList(final List<String> orderGoodsIdList) {
      this.orderGoodsIdList = orderGoodsIdList;
   }

   public void setConfirmTimeStart(final LocalDateTime confirmTimeStart) {
      this.confirmTimeStart = confirmTimeStart;
   }

   public void setConfirmTimeEnd(final LocalDateTime confirmTimeEnd) {
      this.confirmTimeEnd = confirmTimeEnd;
   }

   public void setStallIdList(final List<Long> stallIdList) {
      this.stallIdList = stallIdList;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setAuthPO(final MgrUserAuthPO authPO) {
      this.authPO = authPO;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }

   public void setKeyword(final String keyword) {
      this.keyword = keyword;
   }

   public void setAmountMin(final Long amountMin) {
      this.amountMin = amountMin;
   }

   public void setAmountMax(final Long amountMax) {
      this.amountMax = amountMax;
   }

   public String toString() {
      String var10000 = String.valueOf(this.getStartTime());
      return "DrpOrderGoodsPageDTO(startTime=" + var10000 + ", endTime=" + String.valueOf(this.getEndTime()) + ", orderGoodsId=" + this.getOrderGoodsId() + ", supplierId=" + this.getSupplierId() + ", orderStatus=" + this.getOrderStatus() + ", crby=" + this.getCrby() + ", crStartTime=" + String.valueOf(this.getCrStartTime()) + ", crEndTime=" + String.valueOf(this.getCrEndTime()) + ", warehouseId=" + this.getWarehouseId() + ", intoStatus=" + this.getIntoStatus() + ", supplierConfirmStatus=" + this.getSupplierConfirmStatus() + ", approveStatus=" + this.getApproveStatus() + ", supplierStatus=" + this.getSupplierStatus() + ", ifDismantle=" + this.getIfDismantle() + ", ifAllInto=" + this.getIfAllInto() + ", type=" + this.getType() + ", interfaceType=" + String.valueOf(this.getInterfaceType()) + ", instanceIds=" + String.valueOf(this.getInstanceIds()) + ", approveStatusList=" + String.valueOf(this.getApproveStatusList()) + ", warehouseAuthority=" + String.valueOf(this.getWarehouseAuthority()) + ", canteenIdList=" + String.valueOf(this.getCanteenIdList()) + ", canteenId=" + this.getCanteenId() + ", stallId=" + this.getStallId() + ", orderGoodsIdList=" + String.valueOf(this.getOrderGoodsIdList()) + ", confirmTimeStart=" + String.valueOf(this.getConfirmTimeStart()) + ", confirmTimeEnd=" + String.valueOf(this.getConfirmTimeEnd()) + ", stallIdList=" + String.valueOf(this.getStallIdList()) + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ", authPO=" + String.valueOf(this.getAuthPO()) + ", areaAuth=" + String.valueOf(this.getAreaAuth()) + ", keyword=" + this.getKeyword() + ", amountMin=" + this.getAmountMin() + ", amountMax=" + this.getAmountMax() + ")";
   }


   protected boolean canEqual(final Object other) {
      return other instanceof DrpOrderGoodsPageDTO;
   }

}
